package app;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import kr.nerv.antop.dao.UserDao;
import kr.nerv.antop.model.User;

public class TestUserDao {

	public static void main(String[] args) {
		ApplicationContext context = new ClassPathXmlApplicationContext("kr/nerv/antop/config/spring.xml");
		
		String beanName;
		
		
		// jdbc api 3.0 이전
		beanName = "userDaoOldJdbc";
		// jdbc api 3.0 이후
		// beanName = "userDaoJdbc";
		// 스프링 + JDBC
		// beanName = "userDaoSpringJdbc";
		
		UserDao userDao = context.getBean(beanName, UserDao.class);
		
		// 신규 유저 등록
		User user = new User();
		user.setName("Antop");
		user.setAge(29);
		
		try {
			int generatedKey = userDao.create(user);
			
			User u = userDao.findById(generatedKey);
			
			System.out.println(u);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		
	}

}
