package kr.nerv.antop.dao.impl;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

import kr.nerv.antop.model.User;

public class UserDaoOldJdbc extends UserDaoJdbc {

	@Override
	public int create(User user) throws Exception {
		Connection conn = null;
		PreparedStatement pstmt = null;
		ResultSet rs = null;

		// auto increment value
		int generatedKey = -1;

		try {
			conn = dataSource.getConnection();
			// query
			String sql = "insert into sample_user (name, age) values (?, ?)";

			pstmt = conn.prepareStatement(sql);
			pstmt.setString(1, user.getName());
			pstmt.setInt(2, user.getAge());

			// execute query
			pstmt.executeUpdate();
			
			// query
			sql = "select last_insert_id()";
			pstmt = conn.prepareStatement(sql);
			rs = pstmt.executeQuery();
			
			if(rs.next()) {
				// auto increment value
				generatedKey = rs.getInt(1);
			}
			
			return generatedKey;
		} catch (Exception e) {
			throw e;
		} finally {
			release(rs, pstmt, conn);
		}
	}

}
